import c4d
from c4d import gui
from c4d import storage,bitmaps
import os

def main():
        
    img=storage.LoadDialog(c4d.FILESELECTTYPE_IMAGES,flags=c4d.FILESELECT_LOAD,title="Image",force_suffix="C:/",def_path="",def_file="")
    if img is not None:
        if not os.path.exists(img):
            return
    else:
        return
    
    bitmap=c4d.bitmaps.BaseBitmap()
    bitmap.InitWith(img, frame=-1)
    x, y = bitmap.GetSize()


    plane=c4d.BaseObject(c4d.Osky)
    plane[c4d.ID_BASELIST_NAME]="Environment"
   

    #=============Shader anlegen============================================
    imgshade=c4d.BaseList2D(c4d.Xbitmap)


    imgshade_alpha=c4d.BaseList2D(c4d.Xbitmap)

    #=============Material anlegen==========================================
    mat=c4d.Material()
    mat.SetChannelState(c4d.CHANNEL_COLOR, False)
    mat.SetChannelState(c4d.CHANNEL_LUMINANCE, True)
    mat.SetChannelState(c4d.CHANNEL_REFLECTION, False)

    mat[c4d.MATERIAL_LUMINANCE_SHADER]=imgshade
    #mat[c4d.MATERIAL_ALPHA_SHADER]=imgshade_alpha
    imgshade[c4d.BITMAPSHADER_FILENAME]=img
    imgshade_alpha[c4d.BITMAPSHADER_FILENAME]=img
    mat.InsertShader(imgshade)
   

    #======Texture-Tag anlegen==============================================
    texture_tag=c4d.BaseTag(c4d.Ttexture)
    render_tag=c4d.BaseTag(c4d.Tcompositing)
    plane.InsertTag(texture_tag)
    plane.InsertTag(render_tag)   

    texture_tag[c4d.TEXTURETAG_MATERIAL]=mat
    texture_tag[c4d.TEXTURETAG_PROJECTION]=0   

    doc.InsertObject(plane)
    doc.InsertMaterial(mat,checknames=True)
  
    c4d.CallCommand(12132, 12132)
    op=doc.SetActiveObject(plane)


    c4d.EventAdd()




# Execute main()
if __name__=='__main__':
    main()